Subject: [rddp] RE: iwarp-tech Path MTU discovery

From: "Jim Pinkerton" <[email-masked]>
Date: Mon, 20 Dec 2004 17:36:17 -0800

Personally I think any TCP implementation must support PMTU discovery,
regardless of whether it's an offloaded implementation or in the host
stack. 
Specifically RFC 1191 (for IPv4) and RFC 1981 (for IPv6). Both are
standards track. 

However, understood though that RFC 1122 technically doesn't require
their implementation (but it was written back in *1989*). However,
section 3.3.3 does state normative requirements, particularly if you
don't implement PMTU discovery (EMTU_S set to <= 576 bytes if not on the
local link). Further, the algorithm is *freakin* old (technical term),
and a much better algorithm is to implement PMTU discovery...

Jim

> -----Original Message-----
> From: [email-masked] [mailto:owner-iwarp-
> [email-masked]] On Behalf Of Barry Reinhold
> Sent: Monday, December 20, 2004 1:47 PM
> To: RDDP
> Cc: [email-masked]
> Subject: iwarp-tech Path MTU discovery
> 
> To: Parties who are interested in performing iWARP conformance testing
> Re: Conformance Test Suite Design Issue
> 
> In attempting to design a rigorous iWARP conformance test I am looking
> at changing the EMSS in the DUT during a connection via changes in the
> path MTU. It is not clear to me that this is a good idea as I fear
there
> may be limited support for path MTU discovery.
> 
> Please email me directly if you care and have an opinion that you
don't
> want to post.
> Barry Reinhold
> Lamprey Networks
> [email-masked]
> (603) 868-8411

_______________________________________________
rddp mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rddp

---

From: "Jim Pinkerton" <[email-masked]>
Date: Tue, 21 Dec 2004 07:14:17 -0800

FYI, it was pointed out to me that the tcpm work group has a great document in the works, attempting to enumerate the various RFCs that apply to TCP. However it doesn't have any normative text in it - looks to be simply informative.
 
http://www.ietf.org/internet-drafts/draft-ietf-tcpm-tcp-roadmap-00.txt

jim

________________________________

From: [email-masked] on behalf of Jim Pinkerton
Sent: Mon 12/20/2004 5:36 PM
To: Barry Reinhold; RDDP
Cc: [email-masked]; Dave Thaler
Subject: RE: iwarp-tech Path MTU discovery

Jim

there
don't